/* Ellipse_11.pde

Written by: Marvin C. Jones and Richard (Rick) G. Freedman

What can you do with your own classes?  Besides organizing code, we have a 
blueprint for animating a circle so that we can make multiple circles!  Now we 
just create two variables for each circle in this program and barely write extra 
code (can you imagine copying and pasting all those lines and then changing the 
numbers to make your new circles?)!
*/

//We declare the variables we will use in the program at the beginning
//The variables named myCircle1 and myCircle2 store objects we create based on 
//  the class myClass
myClass myCircle1;
myClass myCircle2;

void setup()
{
  //Set the window's size to 500 pixels wide and 300 pixels tall
  size(500, 300);
  //Perform draw() five times per second
  frameRate(5);

  //The equals sign (=) tells the program to store a value in a variable
  //  The code in myClass explains how to create these objects
  //NOTE: We use the command 'new' in front of the right-hand side like an array
  //      (this is because arrays are also objects in Processing)
  myCircle1 = new myClass(100, 100, 50);
  myCircle2 = new myClass(30, 50, 70);
}

void draw()
{
  //This will erase everything currently drawn in the pop-up window
  clear();

  //Use the color purple when drawing shapes on the screen
  fill(125,0,125);
  //This command tells the objects stored in the variables to perform their 
  //  drawMyself() function that we created for it (see myClass.pde)
  myCircle1.drawMyself();
  myCircle2.drawMyself();
}
